Package org.apache.tapestry5.versionmigrator

## Enum TapestryVersion

- java.lang.Object
- - java.lang.Enum<TapestryVersion>
  - - org.apache.tapestry5.versionmigrator.TapestryVersion

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<TapestryVersion>`

      public enum TapestryVersion
      extends java.lang.Enum<TapestryVersion>

  Represents a Tapestry version that needs a migration due to names that moved from one package to another.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `TAPESTRY_5_7_0` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getNumber()` | Returns the version number.
    `java.lang.String` | `getPreviousVersionGitHash()` | Returns the Git hash or tag representing the version previous to this one.
    `java.lang.String` | `getVersionGitHash()` | Represents the Git hash or tag representing this version.
    `java.lang.String` | `toString()` |
    `static TapestryVersion` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static TapestryVersion[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### TAPESTRY_5_7_0

          public static final TapestryVersion TAPESTRY_5_7_0

  - ### Method Detail

    - #### values

          public static TapestryVersion[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TapestryVersion c : TapestryVersion.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TapestryVersion valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getNumber

          public java.lang.String getNumber()

      Returns the version number.

    - #### getPreviousVersionGitHash

          public java.lang.String getPreviousVersionGitHash()

      Returns the Git hash or tag representing the version previous to this one.

    - #### getVersionGitHash

          public java.lang.String getVersionGitHash()

      Represents the Git hash or tag representing this version.
      Returns:

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Enum<TapestryVersion>`